Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.wizards
Class NewInterfaceWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.jdt.ui.wizards.NewElementWizardPage
                  org.eclipse.jdt.ui.wizards.NewContainerWizardPage
                      org.eclipse.jdt.ui.wizards.NewTypeWizardPage
                          org.eclipse.jdt.ui.wizards.NewInterfaceWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

public class NewInterfaceWizardPage
extends NewTypeWizardPage

Wizard page to create a new interface.

Note: This class is not intended to be subclassed. To implement a different kind of a new interface wizard page, extend `NewTypeWizardPage`.

Since:
  2.0

Nested Class Summary

Nested classes inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage
`NewTypeWizardPage.ImportsManager`

Field Summary

Fields inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage
`ENCLOSING, ENCLOSINGSELECTION, F_ABSTRACT, F_FINAL, F_PRIVATE, F_PROTECTED, F_PUBLIC, F_STATIC, fEnclosingTypeStatus, fModifierStatus, fPackageStatus, fSuperClassStatus, fSuperInterfacesStatus, fTypeNameStatus, INTERFACES, METHODS, MODIFIERS, PACKAGE, SUPER, TYPENAME`

Fields inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage
`CONTAINER, fContainerStatus`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`NewInterfaceWizardPage()` Create a new `NewInterfaceWizardPage`

Method Summary
`void` | `createControl(Composite parent)`
`protected void` | `handleFieldChanged(String fieldName)` Hook method that gets called when a field on this page has changed.
`void` | `init(IStructuredSelection selection)` The wizard owning this page is responsible for calling this method with the current selection.
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage
`constructCUContent, containerChanged, createEnclosingTypeControls, createInheritedMethods, createInheritedMethods, createModifierControls, createPackageControls, createSeparator, createSuperClassControls, createSuperInterfacesControls, createType, createTypeMembers, createTypeMembers, createTypeNameControls, enclosingTypeChanged, getCreatedType, getEnclosingType, getEnclosingTypeText, getFileComment, getModifiedResource, getModifiers, getPackageFragment, getPackageText, getRunnable, getSuperClass, getSuperInterfaces, getTemplate, getTemplate, getTypeComment, getTypeComment, getTypeName, initTypePage, isEnclosingTypeSelected, modifiersChanged, packageChanged, setEnclosingType, setEnclosingTypeSelection, setFocus, setModifiers, setPackageFragment, setSuperClass, setSuperInterfaces, setTypeName, superClassChanged, superInterfacesChanged, typeNameChanged`

Methods inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage
`createContainerControls, getCurrentTextSelection, getInitialJavaElement, getMaxFieldWidth, getPackageFragmentRoot, getPackageFragmentRootText, getWorkspaceRoot, initContainerPage, setFocusOnContainer, setPackageFragmentRoot`

Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage
`updateStatus, updateStatus`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### NewInterfaceWizardPage

    public NewInterfaceWizardPage()

  Create a new `NewInterfaceWizardPage`

Method Detail

### init

    public void init(IStructuredSelection selection)

  The wizard owning this page is responsible for calling this method with the current selection. The selection is used to initialize the fields of the wizard page.

  Parameters:
    `selection` - used to initialize the fields

### handleFieldChanged

    protected void handleFieldChanged(String fieldName)

  Description copied from class: `NewContainerWizardPage`
  Hook method that gets called when a field on this page has changed. For this page the method gets called when the source folder field changes.

  Every sub type is responsible to call this method when a field on its page has changed. Subtypes override (extend) the method to add verification when a own field has a dependency to an other field. For example the class name input must be verified again when the package field changes (check for duplicated class names).

  Overrides:
    `handleFieldChanged` in class `NewTypeWizardPage`

### createControl

    public void createControl(Composite parent)

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `NewElementWizardPage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.